/* AVIMonitor.cpp : Legt das Klassenverhalten fr die Anwendung fest.
 * Copyright (C) 2000 Jrgen Eder
 *                    Juergen.Eder@gmx.de
 *
 * $Header: /daten/sourcen/cvs/avimonitor/avimonitor.cpp,v 1.3 2000/03/05 17:05:21 je Exp $
 * $Revision: 1.3 $
 * $Date: 2000/03/05 17:05:21 $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "stdafx.h"
#include "AVIMonitor.h"
#include "AVIMonitorDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAVIMonitorApp

BEGIN_MESSAGE_MAP(CAVIMonitorApp, CWinApp)
	//{{AFX_MSG_MAP(CAVIMonitorApp)
		// HINWEIS - Hier werden Mapping-Makros vom Klassen-Assistenten eingefgt und entfernt.
		//    Innerhalb dieser generierten Quelltextabschnitte NICHTS VERNDERN!
	//}}AFX_MSG
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAVIMonitorApp Konstruktion

CAVIMonitorApp::CAVIMonitorApp()
{
	// ZU ERLEDIGEN: Hier Code zur Konstruktion einfgen
	// Alle wichtigen Initialisierungen in InitInstance platzieren
}

/////////////////////////////////////////////////////////////////////////////
// Das einzige CAVIMonitorApp-Objekt

CAVIMonitorApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CAVIMonitorApp Initialisierung

BOOL CAVIMonitorApp::InitInstance()
{
	// OLE-Bibliotheken initialisieren
	if (!AfxOleInit())
	{
		AfxMessageBox(IDP_OLE_INIT_FAILED);
		return FALSE;
	}

	AfxEnableControlContainer();

	// Standardinitialisierung
	// Wenn Sie diese Funktionen nicht nutzen und die Gre Ihrer fertigen 
	//  ausfhrbaren Datei reduzieren wollen, sollten Sie die nachfolgenden
	//  spezifischen Initialisierungsroutinen, die Sie nicht bentigen, entfernen.

#ifdef _AFXDLL
	Enable3dControls();			// Diese Funktion bei Verwendung von MFC in gemeinsam genutzten DLLs aufrufen
#else
	Enable3dControlsStatic();	// Diese Funktion bei statischen MFC-Anbindungen aufrufen
#endif

	// Befehlszeile parsen, um festzustellen, ob Ausfhrung als OLE-Server erfolgt
	if (RunEmbedded() || RunAutomated())
	{
		// Alle OLE-Server (-fabriken) als aktiv registrieren. Dies aktiviert die
		//  OLE-Bibliotheken, um Objekte von anderen Anwendungen zu erstellen.
		COleTemplateServer::RegisterAll();
	}
	else
	{
		// Wird eine Server-Anwendung im Standalone-Modus betrieben, ist es ratsam,
		//  die Systemregistrierung zu aktualisieren, falls diese beschdigt wurde.
		COleObjectFactory::UpdateRegistryAll();
	}

	CAVIMonitorDlg dlg;
	m_pMainWnd = &dlg;
	int nResponse = dlg.DoModal();
	if (nResponse == IDOK)
	{
		// ZU ERLEDIGEN: Fgen Sie hier Code ein, um ein Schlieen des
		//  Dialogfelds ber OK zu steuern
	}
	else if (nResponse == IDCANCEL)
	{
		// ZU ERLEDIGEN: Fgen Sie hier Code ein, um ein Schlieen des
		//  Dialogfelds ber "Abbrechen" zu steuern
	}

	// Da das Dialogfeld geschlossen wurde, FALSE zurckliefern, so dass wir die
	//  Anwendung verlassen, anstatt das Nachrichtensystem der Anwendung zu starten.
	return FALSE;
}
