/* AVICallback.h : Header-Datei
 * Copyright (C) 2000 Jrgen Eder
 *
 * $Header: /daten/sourcen/cvs/avimonitor/avicallback.h,v 1.1 2000/05/20 14:18:33 je Exp $
 * $Revision: 1.1 $
 * $Date: 2000/05/20 14:18:33 $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#if !defined(AVICallback_HEADER)
#define AVICallback_HEADER

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


LRESULT PASCAL ControlCallbackProc(HWND /*hWnd*/, int /*nID*/); 
LRESULT PASCAL StatusCallbackProc(HWND hWnd, int nID, LPSTR lpStatusText);
LRESULT PASCAL ErrorCallbackProc(HWND hWnd, int nErrID, LPSTR lpErrorText); 
BOOL CheckPuffer(DWORD len);
BOOL SchreibeVideoInPuffer(LPVIDEOHDR lpVHdr);
BOOL SchreibeAudioInPuffer(LPWAVEHDR lpWHdr);
LRESULT CALLBACK capVideoStreamCallback(HWND hWnd, LPVIDEOHDR lpVHdr);
LRESULT CALLBACK capWaveStreamCallback(HWND hWnd,LPWAVEHDR lpWHdr);

#endif


