/* AVIMonitorDlg.h : Header-Datei
 * Copyright (C) 2000 Jrgen Eder
 *
 * $Header: /daten/sourcen/cvs/avimonitor/avimonitordlg.h,v 1.5 2000/05/20 14:18:42 je Exp $
 * $Revision: 1.5 $
 * $Date: 2000/05/20 14:18:42 $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#if !defined(AFX_AVIMONITORDLG_H__9F3DC387_C7A6_11D3_84A6_0080C6FF24F7__INCLUDED_)
#define AFX_AVIMONITORDLG_H__9F3DC387_C7A6_11D3_84A6_0080C6FF24F7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CAVIMonitorDlgAutoProxy;

/////////////////////////////////////////////////////////////////////////////
// CAVIMonitorDlg Dialogfeld

class CAVIMonitorDlg : public CDialog
{
	DECLARE_DYNAMIC(CAVIMonitorDlg);
	friend class CAVIMonitorDlgAutoProxy;

// Konstruktion
public:
	HWND m_hCaptureWnd;
	BOOL m_Aufnahme;
	int m_DriverNum;

	CAVIMonitorDlg(CWnd* pParent = NULL);	// Standard-Konstruktor
	virtual ~CAVIMonitorDlg();
	//BOOL OpenCapturingFiles();
	//void CloseCapturingFiles();
	void OnChangeVideoDevice(int neu);
	void OnVideoCapturing();
	void DateiLaden(LPCTSTR pfad, BOOL msg=FALSE);
	void CheckWindowDim(void);
	void CalcInfoLen();
	void SetFilename();
	void SetCapParams();
	void DelInfoLen();




// Dialogfelddaten
	//{{AFX_DATA(CAVIMonitorDlg)
	enum { IDD = IDD_AVIMONITOR_DIALOG };
	CButton	m_Button;
	DWORD	m_max;
	CString	m_p1;
	CString	m_p2;
	CString	m_p3;
	CString	m_p4;
	double	m_Rate;
	DWORD	m_l1;
	DWORD	m_l2;
	DWORD	m_l3;
	DWORD	m_l4;
	CString	m_Dateiname;
	//}}AFX_DATA

	// Vom Klassenassistenten generierte berladungen virtueller Funktionen
	//{{AFX_VIRTUAL(CAVIMonitorDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

// Implementierung
protected:
	CAVIMonitorDlgAutoProxy* m_pAutoProxy;
	HICON m_hIcon;

	BOOL CanExit();

	// Generierte Message-Map-Funktionen
	//{{AFX_MSG(CAVIMonitorDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnClose();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnKonfigurationSource();
	afx_msg void OnKonfigurationKompression();
	afx_msg void OnKonfigurationFormat();
	afx_msg void OnKonfigurationDisplay();
	afx_msg void OnKonfigurationAudio();
	afx_msg void OnDateiEnde();
	afx_msg void OnCapturingStart();
	afx_msg void OnOverlay();
	afx_msg void OnPreview();
	afx_msg void OnVideotreiberDevice1();
	afx_msg void OnVideotreiberDevice10();
	afx_msg void OnVideotreiberDevice2();
	afx_msg void OnVideotreiberDevice3();
	afx_msg void OnVideotreiberDevice4();
	afx_msg void OnVideotreiberDevice5();
	afx_msg void OnVideotreiberDevice6();
	afx_msg void OnVideotreiberDevice7();
	afx_msg void OnVideotreiberDevice8();
	afx_msg void OnVideotreiberDevice9();
	afx_msg void OnKonfigurationTimer();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnCapturingTimergesteuert();
	afx_msg void OnKonfigurationKompressionvideo();
	afx_msg void OnHilfeInfo();
	afx_msg void OnHilfeIndex();
	afx_msg void OnDateiLaden();
	afx_msg void OnDateiSpeichernunter();
	afx_msg void OnButton1();
	afx_msg void OnAufnahmeComputerrunterfahrennachaufnahme();
	afx_msg void OnOverlayStatic();
	afx_msg void OnMove(int x, int y);
	afx_msg void OnSpezialDc10();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // !defined(AFX_AVIMONITORDLG_H__9F3DC387_C7A6_11D3_84A6_0080C6FF24F7__INCLUDED_)
